Name:           xfglenses
Version:        1.0
Release:        2%{?dist}
Summary:        Gravitational lenses visualization program

Group:          Applications/Engineering
License:        GPLv3
URL:            http://www.tat.physik.uni-tuebingen.de/~frutto/

Patch0:		xfglenses-1.0-authors.patch
Source0:        http://www.tat.physik.uni-tuebingen.de/~frutto/%{name}-%{version}.tar.bz2

Source1:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freeglut-devel xforms-devel mesa-libGLU-devel
BuildRequires:  libXpm-devel imlib-devel cmake desktop-file-utils

%description
Xfglenses is a program to visualize gravitational lenses.
It implements many different gravitational potentials and gives 
a lot of flexibility to simulate an infinite number of situations.

%prep
%setup -q -n %{name}

%patch0 -p0 -b .authors

%build
cd src/
%cmake ..
%{__make} %{?_smp_mflags} VERBOSE=1


%install
cd src/
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

cd -
desktop-file-install --vendor fedora         \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category "Education"               \
  %{SOURCE1}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
%{__cp} -p icons/32x32/xfglenses.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc AUTHORS LICENSE
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%changelog
* Thu Apr 9 2009 Thibault North <tnorth [AT] fedoraproject DOT org> - 1.0-2
- Removed Simplex to avoid licensing issues
- Added AUTHORS and LICENSE files
- Added icon and desktop file

* Wed Mar 3 2009 Thibault North <tnorth [AT] fedoraproject DOT org> - 1.0-1
- Initial package
